
*===================================================*
*													*
*		Last Update: 2015_05_25						*
*													*
*===================================================*

clear all
set mem 50m
* cd "..."
use "DATA_COMPILED_ATOP_20151118.dta"
set more off 

label var interaction "Troops $\times$ Troops Spatial Mean"
label var meanregionalallies "Host-State Allies (Spatial Mean)"
label var meanregionalusallies "US Allies (Spatial Mean)"

// Full Sample
xtset ccode year
set more off
eststo clear
#delimit ;
	//	All States
eststo:   xtpcse defenseburden l.lntroops l.lntroops_spmean l.interaction l.spatial_lag l.polity l.growth 
	l.lntpop l.IMR l.threat_environment war movav3 borderstates civilwar 
	l.meanregionalallies l.meanregionalusallies if year<2004 , corr(ar1) pairwise ;	
	// 	Non-NATO US Allies
eststo:   xtpcse defenseburden l.lntroops l.lntroops_spmean l.interaction l.spatial_lag l.polity 
	l.growth l.lntpop l.IMR l.threat_environment war movav3 borderstates 
	civilwar l.meanregionalallies l.meanregionalusallies if usally == 1 & NATO == 0 
	& year<2004, corr(ar1) pairwise ;
	//	NATO Allies
eststo:   xtpcse defenseburden l.lntroops l.lntroops_spmean l.interaction l.spatial_lag l.polity 
	l.growth l.lntpop l.IMR l.threat_environment war movav3 borderstates civilwar 
	l.meanregionalallies l.meanregionalusallies if NATO == 1 & year<2004 , 
	corr(ar1) pairwise;
	// 	Non-US Allies
eststo:   xtpcse defenseburden l.lntroops l.lntroops_spmean l.interaction l.spatial_lag l.polity 
	l.growth l.lntpop l.IMR l.threat_environment war movav3 borderstates civilwar 
	l.meanregionalallies l.meanregionalusallies if usally ==0 & year<2004 , 
	corr(ar1) pairwise ;

#delimit ;
esttab _all using Table_1_20150523.tex, replace 
	mtitles("All States" "Non-NATO Allies" "NATO Allies" "Non-Allies")  
	scalars("p Prob $ > \chi^2$") 
	se(3) 
	b(3) 
	r2 obslast label se nogaps 
	star(* 0.10 ** 0.05 *** 0.01)  
	wide
	nogaps
	order(L.lntroops L.lntroops_spmean L.interaction L.spatial_lag 
		L.meanregionalallies L.meanregionalusallies L.spatial_lag L.polity2 L.growth L.lntpop  
		L.IMR war civilwar movav3 L.threat_environment) 
	compress 
	nonotes 
	addnote("Panel-corrected standard errors in parentheses. Two-tailed significance tests used." "$*$ 
		p$\leq$ 0.10; $**$ p$\leq$ 0.05; $***$ p$\leq$0.01") 
		substitute(L.  ) ;		
	
	#delimit cr



